<template>
<q-page class="bg-grey-2">
  <div class="q-pa-sm" style="min-width: 330px;">
      <div class="row justify-center">
        <q-card class="my-card absolute-center">
        <q-intersection
          transition="flip-right"
          >
          <q-card-section class="text-black text-h6" style="background: #0000000d; border-radius: 9px; position: fixed; margin-top: -43px; padding-top: 6px;">
            ¡Bienvenido!<br/>
          </q-card-section>
          <q-card-section class="bg-negative text-white" style="border-radius: 15px;">
            <q-btn
              fab
              color="primary"
              icon="contact_mail"
              class="absolute"
              style="top: 0; right: 12px; transform: translateY(-50%);"
              />
            <div class="row no-wrap items-center">
              <div class="col text-h6">
                {{ form.name }}
              </div>
              <div class="col-auto text-white text-caption q-pt-md row no-wrap items-center">
                Solicitante de: <br/>
                {{ form.carrera }}
              </div>
            </div>
          </q-card-section>
        <q-card-section style="position: fixed;">
          <q-dialog v-model="band" persistent transition-show="scale" transition-hide="scale">
            <q-card class="bg-secondary text-white" style="width: 300px">
              <q-card-section>
                <div class="text-h6 text-center">Atencion</div>
              </q-card-section>
              <q-card-section class="q-pt-none">
                ¡Bienvenido!<br/> Aún posees datos faltantes dentro de tu planilla, te intivo a que verifiques y completes tales datos
              </q-card-section>
              <q-card-actions align="right" class="bg-white text-black">
                <q-btn flat label="Vamos" @click="Redirection('information')"/>
              </q-card-actions>
            </q-card>
          </q-dialog>
          <q-dialog v-model="band2" persistent transition-show="scale" transition-hide="scale">
            <q-card class="bg-secondary text-white" style="width: 300px">
              <q-card-section>
                <div class="text-h6 text-center">¡Perfecto!</div>
              </q-card-section>
              <q-card-section class="q-pt-none">
                Ya pasamos a un segundo punto de nuestro Proceso<br/>Ahora vamos a la carga de Documentos necesarios para nuestro proceso de Admision
              </q-card-section>
              <q-card-actions align="right" class="bg-white text-black">
                <q-btn flat label="Vamos" @click="Redirection('documents')"/>
              </q-card-actions>
            </q-card>
          </q-dialog>
        </q-card-section>
        </q-intersection>
        </q-card>
      </div>
    </div>
</q-page>
</template>
<style lang="sass" scoped>
.my-card
  width: 100%
  max-width: 300px
</style>
<script>
import { mapGetters } from 'vuex'
export default {
  data () {
    return {
      form: {},
      data: [],
      band: false,
      band2: false
    }
  },
  computed: {
    ...mapGetters('generals', ['student'])
  },
  mounted () {
    this.getBack()
    this.verify()
  },
  methods: {
    getBack () {
      this.$q.loading.show()
      this.$api.get('GetStudent_id/' + this.student).then(res => {
        this.data = res
        this.form = this.data[0]
      })
    },
    verify () {
      this.$api.get('Revised_test/' + this.student).then(res => {
        this.band = res
        this.$q.loading.hide()
        if (!this.band) {
          this.$api.get('Revised_Documents/' + this.student).then(res => {
            this.band2 = res
          })
        }
      })
    },
    Redirection (date) {
      this.$router.push(`/${date}`)
    }
  }
}
</script>
